package cz.frantovo.nekurak.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

/**
 *
 * @author fiki
 */
@WebService(serviceName = "pokusnaSluzba", targetNamespace="pokusNS")
@SOAPBinding(style=SOAPBinding.Style.RPC, use=SOAPBinding.Use.ENCODED)
public class Pokus {

    /**
     * Pozdraví osobu
     * @param koho jméno osoby v pátém pádě
     * @return věta – pozdrav
     */
    @WebMethod(operationName="pozdravOsobu")
    public String pozdrav(@WebParam(name = "jmenoOsoby") String koho) {
	return "Ahoj, " + koho + "!";
    }
}
